Dışarıya aktar (0) Yazdır
Tümünü Genişlet
Bu makale makine tarafından çevrilmiştir. Orijinal metni görmek için imlecinizi makaledeki cümlelerin üzerine getirin. Daha Fazla Bilgi.
Çeviri
Original

Exception.InnerException Özellik

Alır Exception geçerli özel durumun oluşmasına neden örneği.

Ad alanı:  System
Derleme:  mscorlib (mscorlib.dll içinde)

public Exception InnerException { get; }

Özellik Değeri

Tür: System.Exception
Örneği Exception geçerli özel durumun oluşmasına neden olan hatayı açıklar. InnerException Özellik oluşturucu veya null başvuru geçildi gibi aynı değeri verir (Nothing Visual Basic) yapıcısına iç özel durum değeri sağlanmadı ise. Bu özellik salt okunurdur.

Yüklenen

_Exception.InnerException

Bir özel durum zaman X bir önceki durum doğrudan bir sonucu olarak atılır Y, InnerException özelliği X bir başvuru içermelidir Y.

Kullanım InnerException özelliği için geçerli durum LED'i özel durumları kümesi almak için.

Eski bir özel durum yakalıyor yeni bir özel durum oluşturabilir. İkinci özel yapabilir tutamaçlarını önceki özel ek bilgileri, hata daha uygun bir şekilde işlemek için kullandığınız kod.

Bir dosyayı okur ve bu dosyadaki verileri biçimlendirir bir işlev olduğunu varsayalım. Bu örnekte, dosyayı okumak için kod çalışır olarak bir IOException atılır. İşlev yakalar IOException ve bir FileNotFoundException. IOException Kaydedilebilir InnerException özelliği FileNotFoundException, yakalar kodu etkinleştirme FileNotFoundException ilk hata nedeni nedir incelenecek.

InnerException , İç özel duruma başvuru tutan, özelliği, özel durum nesnesi başlatılması sırasında ayarlayın.

Aşağıdaki örnek oluşturma ve bir iç özel duruma başvuru istisnasını gösterir.


using System;
public class MyAppException:ApplicationException 
{
   public MyAppException (String message) : base (message) 
   {}
   public MyAppException (String message, Exception inner) : base(message,inner) {}	
   }
public class ExceptExample 
{
   public void ThrowInner () 
   {
   throw new MyAppException("ExceptExample inner exception");
   }
   public void CatchInner() 
   {
      try 
      {
      this.ThrowInner();
      }
         catch (Exception e) 
         {
         throw new MyAppException("Error caused by trying ThrowInner.",e);
         }
      }
   }
public class Test 
{
   public static void Main() 
   {
   ExceptExample testInstance = new ExceptExample();
      try 
      {
      testInstance.CatchInner();
      }
         catch(Exception e) 
         {
         Console.WriteLine ("In Main catch block. Caught: {0}", e.Message);
         Console.WriteLine ("Inner Exception is {0}",e.InnerException);
         }
      }
}


Bu kod aşağıdaki çıktıyı vardır:

In Main
  catch block. Caught: Error caused by trying ThrowInner. Inner Exception is
  MyAppException: ExceptExample inner exception at ExceptExample.ThrowInner() at
  ExceptExample.CatchInner()

.NET Framework

Destekleyen: 4.5.2, 4.5.1, 4.5, 4, 3.5, 3.0, 2.0, 1.1, 1.0

.NET Framework İstemci Profili

Destekleyen: 4, 3.5 SP1

Taşınabilir Sınıf Kitaplığı

Destekleyen: Taşınabilir Sınıf Kitaplığı

Windows Mağazası uygulamaları için .NET

Destekleyen: Windows 8

Windows Phone uygulamaları için .NET

Destekleyen: Windows Phone 8, Silverlight 8.1

Windows Phone 8.1, Windows Phone 8, Windows 8.1, Windows Server 2012 R2, Windows 8, Windows Server 2012, Windows 7, Windows Vista SP2, Windows Server 2008 (Sunucu Çekirdeği Rolü desteklenmez), Windows Server 2008 R2 (Sunucu Çekirdeği Rolü, SP1 veya sonraki sürümlerle desteklenir; Itanium'da desteklenmez)

.NET Framework her platformun tüm sürümlerini desteklemez. Desteklenen sürümlerin listesi için bkz. .NET Framework Sistem Gereksinimleri.

Topluluk İçeriği

Ekle
Show:
© 2015 Microsoft